@ECHO OFF
IF "%1"=="" GOTO USAGE
IF "%OS%"=="Windows_NT" GOTO WINNT

ECHO Running under Windows 9x
ECHO %0 %1 %2 %3
START /W %1 %2 %3
GOTO FINDERR

:WINNT
ECHO Running under Windows NT
ECHO %0 %1 %2 %3
%1 %2 %3

:FINDERR
IF ERRORLEVEL 4 GOTO ERROR4
IF ERRORLEVEL 3 GOTO ERROR3
IF ERRORLEVEL 2 GOTO ERROR2
IF ERRORLEVEL 1 GOTO ERROR1
IF ERRORLEVEL 0 GOTO ERROR0

:ERROR4
ECHO ERRORLEVEL 4 -- SDP RESULT:  UNKNOWN
GOTO END
:ERROR3
ECHO ERRORLEVEL 3 -- SDP RESULT:  NO PARAMETERS
GOTO END
:ERROR2
ECHO ERRORLEVEL 2 -- SDP RESULT:  PRINTER NOT FOUND
GOTO END
:ERROR1
ECHO ERRORLEVEL 1 -- SDP RESULT:  SUCCESS
GOTO END
:ERROR0
ECHO ERRORLEVEL 0 -- SDP RESULT:  ERROR
GOTO END

:USAGE
ECHO.
ECHO   USAGE:  ERRORLVL.BAT [Program Name: SDP] [Program's parameters: Printer Description] [...]
ECHO.
ECHO Purpose:  To demonstrate how to use ERRORLEVEL reporting using SDP.
ECHO.
ECHO Example:  ERRORLVL SDP HP LaserJet
ECHO.

:END
